html, body {
    height: 100%;
    width: 100%;
    box-sizing: border-box;
}

body {
    padding: 5px;
    font-family:'Courier New', Courier, monospace;
    display: flex;
    flex-direction: column;
    align-content: stretch;
    align-items: center;
    min-height: 500px;
    background-color: rgb(207, 220, 233);

}

section#main_container {
    display: flex;
    flex-direction: column;
    justify-content: stretch;
    gap: 5px;
    width: 80%;
    height: 100%;
    padding-inline: 5%;
    border-left: 1.5px solid black;
    border-right: 1.5px solid black;
    

}

header, footer {
    display: flex;
    background-color: rgb(53, 74, 131);
    height: 5%;
    font-size: 17px;
    justify-content: stretch;
    text-align: center;
    color: white;
    padding: 5%;
}

header h2, footer p {
    display: inline-flexbox;
    width: 100%;
    margin:auto;
}

footer {
    align-self: flex-bottom;
    
}

section#middle-section {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-content: center;
    width: 100%;
    height: 95%;
    background-color: rgb(159, 160, 169);
    
}

section#top-section {
    display: flex;
    flex-direction: column;  
    justify-content: space-around;
    align-items: center;
    height: 25%;
    background-color:rgb(190, 190, 190);
    margin: 20px 20px 10px 20px;
    padding: 10px;
    border: 1px solid rgb(95, 98, 101);
}


form {
    display: flex;
    flex-direction: row;
    justify-content: space-around;
    align-items: center;
    width: 100%;
    padding: 10px;
    margin-bottom: 10px;
}

form div {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    width: 60%;
    
}

label {
    font-size: 15px;
    text-align: center;
    padding-bottom: 5px;
    font-weight: bold;
}
input { 
    border: 1px solid rgb(176, 180, 184);
    width: 75%;
} 

div#btn_div {
    display: block;

}

div#btn_div button {
    display:block;
    font-size: 14px;
    font-family: 'Courier New', Courier, monospace;
    font-weight: bold;
    padding: 3px;

}

section#main-section {
    display: flex;
    flex-direction: column;
    justify-content: space-around;
    align-items: center;
    height: 60%;
    background-color: rgb(168, 194, 226);
    margin: 10px 20px 20px 20px;
    padding: 5px;
    border: 1px solid rgb(95, 98, 101);
}